Bug 521489 - Include GPT fdisk
Summary: Include GPT fdisk
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 13:07 UTC by Keshav Amburay
Modified: 2009-09-08 15:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 15:39:42 UTC


Attachments (Terms of Use)

Description Keshav Amburay 2009-09-06 13:07:39 UTC
Description of problem:

GPT fdisk or gdisk is a fdisk style GUID Partition Table editor. It includes features like non-destructive conversion of MBR (or msdos) and BSD disklabels to GPT, has many GPT recovery options and the ability to set any arbitary Partition type GUID for a Partition.

None of the available util-linux-ng fdisk programs support GPT. As Fedora progresses towards supporting UEFI 2.x (from which I boot), most of the UEFI users and Large server users of Fedora will be or will have to change to GPT Partitioning to avoid MBR's 2 TB disk size limit.

GNU Parted already supports GPT, but it does have few drawbacks -

(i) It is too bloated.

(ii) It does not include the ability to enter any arbitary partition type GUID, essential for users of Windows Recovery Environment or Apple TV Recovery Partitions.

(iii) It breaks Hybrid MBR-GPT systems.

GNU fdisk being based on libparted suffers the same limitations of GNU Parted.

Therefore it will be nice to have this program in Fedora's Official RPM repositories.

The author's page on GPT fdisk is http://rodsbooks.com/gdisk/ . 

Source RPM and Precompiled RPM Packages are available in the following Sourceforge.net link (Actual Project Page) - http://sourceforge.net/projects/gptfdisk/ . 

The project's official GIT repository is 
http://gptfdisk.git.sourceforge.net/git/gitweb.cgi?p=gptfdisk/gptfdisk;a=summary .

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Richard W.M. Jones 2009-09-07 07:40:49 UTC
I'm confused -- what does this bug have to do with
febootstrap?  Is this a bug meant to be filed against libguestfs?

Comment 2 Keshav Amburay 2009-09-08 04:24:18 UTC
This has nothing to do with febootstrap. I don't know how that got selected. My bugreport (which is not a actual bug report) is actually a request to Fedora people to include GPT fdisk in Fedora repositories.

Comment 3 Susi Lehtola 2009-09-08 15:39:42 UTC
Then add it to the Fedora wishlist (or email your wish to fedora-devel-list@redhat.com).


Open a bug against package review only if you have packaged it yourself and want it to be reviewed.

Closing as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.